---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/rg/create_gos_schema.sql BL_core_schema_8.0.6.5.03_20090924  215016
-- (#) 
--
-- Create table to store taskid and gos_id
--
    
CREATE TABLE RG_SNAP_REPORT_ATTR 
(task_id NUMBER,
 name   VARCHAR(255),
 value  VARCHAR(255),
 seq    INTEGER NOT NULL,
 reportspecid NUMBER(38),
  CONSTRAINT fk_rgsnaprepattr FOREIGN KEY( task_id )
  REFERENCES ACTIVE_TASK( task_id ) ON DELETE CASCADE
);

CREATE INDEX IDX_RG_SNAP_RPT_ATTR_TASKID ON RG_SNAP_REPORT_ATTR(task_id);

CREATE SEQUENCE SQ_RGSNAP_REPORT_ATTR
  START WITH 1
  INCREMENT BY 1
  NOMAXVALUE
  NOCYCLE;




-- ----------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
