set timing on;
set serveroutput on size 1000000;

BEGIN

   run_sql( ' ALTER TABLE part_tables '
         || ' ADD ( termination_date date )' );

   run_sql( ' ALTER TABLE part_task '
         || ' ADD ( termination_date date )' );

   run_sql( ' alter table task_status move tablespace wm_flexpm ' );
   run_sql( ' alter table active_task move tablespace wm_flexpm ' );
   run_sql( ' alter table active_job move tablespace wm_flexpm ' );
   run_sql( ' alter index pk_active_job rebuild ' );
   run_sql( ' alter index pk_active_task rebuild ' );
   run_sql( ' alter index active_task_unq rebuild ' );
   run_sql( ' alter index task_status_unq rebuild ' );
   run_sql( ' alter index task_status_unq_task rebuild ' );
   run_sql( ' alter index task_status_job rebuild ' );

   run_sql( ' CREATE INDEX IDX_RG_SNAP_RPT_ATTR_TASKID ON RG_SNAP_REPORT_ATTR(task_id) ' );
   run_sql( ' alter table rg_dtscope drop constraint fk_rg_dtscope ' );
   run_sql( ' alter table rg_trunc drop constraint fk_rg_trunc_tid ' );
   run_sql( ' alter table rg_tstamp_range drop constraint fk_rg_tstamp_range_tid ' );
   run_sql( ' alter table rg_scenario drop constraint fk_rg_scenario ' );
   run_sql( ' alter table rg_scenario_remap drop constraint fk_rg_scenario_remap ' );
   run_sql( ' alter table rg_instance_tree_mv drop constraint fk_rg_instance_tree_mv ' );
   run_sql( ' alter table rg_busyhour_mv drop constraint fk_rg_busyhour_mv ' );

END;
/

