--  @(#) compile-schema.sql = invoke 'dbms_utility.compile_schema'
--  NOTES:
--    to recompile procedures, see "${ORACLE_HOME}/rdbms/admin/utlrp.sql"
--  SEE ALSO:
--    ./sw/oracle/analyze-schema.sql , ./sw/oracle/compile-schema.sql 
--  @(#) ./base/sw/oracle/compile-schema.sql ; BL_core_schema_8.0.6.1.01_20081120  184314

whenever sqlerror exit sql.sqlcode ;

PROMPT #################
PROMPT Compiling schema
exec dbms_utility.compile_schema ( user, FALSE ) ;

PROMPT #################
PROMPT Compiling views
set feedback off
set head off
set pages 100
set lines 1000
spool /tmp/validate_vw.sql
select 'alter view '||object_name||' compile;'
  from user_objects
  where object_type = 'VIEW'
    and status = 'INVALID';
spool off
start /tmp/validate_vw.sql
host rm /tmp/validate_vw.sql

exit ;  
--  
